end_dequeued_request
Prev | Chapter 19. Block Devices | Next

## Name

end_dequeued_request — end all I/O on a dequeued request

## Synopsis

`void end_dequeued_request (` | struct request * | rq,
| int | uptodate`)`;

## Arguments

`rq`

  the request being processed

`uptodate`

  error value or 0/1 uptodate flag

## Description

Ends all I/O on a request. The request must already have been dequeued using `blkdev_dequeue_request`, as is normally the case for most drivers.

Prev | Up | Next
end_queued_request | Home | end_request